package sharedInterfaces;

public interface GraphicsFacadeInterface
{
/** Plots arrays of float data against each other
        @isGraphData when "false" a message is output rather than a graph
        @isDataError when "true" an appropriate message is written*/

    public void initialize(GuiFacadeInterface guiFacade);

     public void setGraphData(double[] x, double[] y, String xLabel,
                              String yLabel,
                              String graphTitle, boolean isGraphData,
                              boolean isDataError);
     public void resetGraphData();
 }
